Skip to contents

# Apply a named label vector to a data frame

Source: `R/utils-labels.R`
`apply_labels.Rd`

Apply a named label vector to a data frame

## Usage

    apply_labels(df, labels)

## Arguments

df

  A data frame.

labels

  A named character vector (names = column names, values = labels). Typically the output of `extract_labels()`. Labels for absent columns are silently ignored.

## Value

`df` with `"label"` attributes set on matching columns.